### Enumeration

# Hinoko FwIsoResourceError

#### Declaration

    error-domain Hinoko.FwIsoResourceError

#### Description [src]

A set of error code for operations in `HinokoFwIsoResource`.

#### Members

`HINOKO_FW_ISO_RESOURCE_ERROR_FAILED`

  The system call fails.

  - Value: `0`
  - Available since: 1.0
`HINOKO_FW_ISO_RESOURCE_ERROR_OPENED`

  The instance is already associated to any firewire character device.

  - Value: `1`
  - Available since: 1.0
`HINOKO_FW_ISO_RESOURCE_ERROR_NOT_OPENED`

  The instance is not associated to any firewire character device.

  - Value: `2`
  - Available since: 1.0
`HINOKO_FW_ISO_RESOURCE_ERROR_TIMEOUT`

  No event to the request arrives within timeout.

  - Value: `3`
  - Available since: 1.0
`HINOKO_FW_ISO_RESOURCE_ERROR_EVENT`

  Event for the request arrives but includes error code.

  - Value: `4`
  - Available since: 1.0

#### Type functions

###### hinoko_fw_iso_resource_error_quark

Return the `GQuark` for `GError` with which has code in `HinokoFwIsoResourceError`.